# Create a reader

An async endpoint used for creating a Reader. Register a webhook to be notified when a Reader is created after this endpoint is invoked. Readers represent the Embedded Payments Reader at the physical location. The Reader ID is required to create a Reader Connection to initialise the Tyro Embedded Payments SDK.

Endpoint: POST /tap-to-pay/merchants/{merchantId}/readers
Version: 1.0
Security: JWT

## Path parameters:

  - `merchantId` (string, required)
    The Merchant ID creating the reader
    Example: 98765

## Header parameters:

  - `Authorization` (string, required)

  - `Content-Type` (string, required)
    Enum: "application/json"

## Request fields (application/json):

  - `name` (string, required)
    The name or description used to identify the reader
    Example: "Reader 1 - Example Shop Sydney"

  - `locationId` (string, required)
    The Tyro Connect Location ID
    Example: "tc-exampleshop-3000"

## Response 400 fields (application/json):

  - `error` (string)
    The validation error message.

  - `errorCode` (string)
    The unique error code for message.


## Response 202 fields

## Response 403 fields
